[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#644353: Kernel 8.2-1 is not blessed with IPSEC

onsdag den  5 oktober 2011 klockan 19:11 skrev Robert Millan detta:
> 2011/10/5 Petr Salinger <Petr.Salinger@seznam.cz>:
> >>   option IPSEC
> >>   option IPSEC_NAT_T
> >>   device crypto
> >>   device enc
> >
> > Have to be the devices built-in or can they be built as a modules ?
> > I would prefer to use modules, iff posible.
> AFAIK everything that can be built as module already is.
> Mats, if you want to build more things into kernel, the first question
> that comes to mind is: why hasn't upstream built it in their GENERIC
> config?

Good point. The official FreeBSD handbook, relevant to 8.2-RELEASED,
still claims, in chapter 14.9, that IPSec support would need a costum
built kernel.

> FreeBSD project has a lot more people and more knowledge about those
> options, I think the best is to talk to them first.  Maybe they don't
> have a reason not to enable them and it's just an oversight (this
> happened with quota support IIRC).

I will try to gather more information as to the reasons for Upstream
having chosen this path of action.

  Mats E A

Reply to: